﻿using System;
using twitchbot;

namespace Plugins
{
    [ApiVersion(0, 1)]
    public class Plugin : TwitchBot
    {
        public override Version Version 
        {
            get { return new Version(0, 1); }
        }
        public override string Name
        {
            get { return "Example Plugin"; } 
        }
        public override void Initialize()
        {
            ChatRoom.UserJoinEvent += OnJoin;
        }
        public override void Dispose()
        {
            ChatRoom.UserJoinEvent -= OnJoin;
        }
        private void OnJoin(object sender, ChatRoom.JoinEventArgs e)
        {
            ChatRoom.Instance.SendMessage(ChatRoom.Send + ChatRoom.Instance.channel + " :Welcome " + e.UserName);
        }
    }
}
